#!/bin/sh

OEM_type=`awk '
	/^RGW Ver/      {print $1}
	/^NCL Ver/            {print $1}
	' </mntetc/VERSION`

echo "$OEM_type update."

grep -f - <<EOF /mntetc/VERSION
^RGW Ver.2.2.1$
^NCL Ver.2.2.1$
EOF
case $? in
0)
	echo -n "$OEM_type version is OK!!! "; cat /mntetc/VERSION
	;;
1)
	echo -n "$OEM_type version Unmatch. "; cat /mntetc/VERSION
    	exit 1
       	;;
*)
	echo "unknown error"
    	exit 2
esac


/sbin/mount -u /
/sbin/mount -u /mntetc

rm -rf /crunch/ssh
sync
tar -C / -zxvpf /var/tmp/update.tgz
echo "$OEM_type Ver.2.2.2" >/mntetc/VERSION
sync;sync
/sbin/mount -u -r /mntetc
/sbin/mount -u -r /

/usr/rgw/sbin/flashdump -i -a&&/usr/rgw/sbin/flashdump -w /var/tmp/netbsd.bin.gz&&echo "rebooting..."&&reboot

echo "update imcompleted"
